﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IntegrationTestingProgram
{
    internal class SystemSolution
    {
        /// <summary>
        /// Метод, запускающий программу
        /// </summary>
        public static void Start()
        {
            Console.Write("Введите х: ");
            double x = double.Parse(Console.ReadLine());
            double answer;
            if (x <= 0)
            {
                answer = GetAnswerFirstBranch(x);
            }
            else
            {
                answer = GetAnswerSecondBranch(x); 
            }
            Console.WriteLine("Ответ: " + answer);
        }
        /// <summary>
        /// Метод получения результата по первой ветке условия
        /// </summary>
        /// <param name="x">Число</param>
        /// <returns>Ответ на выражение</returns>
        private static double GetAnswerFirstBranch(double x)
        {
            double first = Math.Pow(((Math.Sin(x) + GetCos(x)) + GetCos(x)),2);
            double second = (((GetCtg(x)/(1/GetCos(x))) - GetTg(x)) * Math.Sin(x)) / GetCos(x);
            return first * second;
        }
        /// <summary>
        /// Метод получения результата по второй ветке условия
        /// </summary>
        /// <param name="x"></param>
        /// <returns>Ответ на выражение</returns>
        private static double GetAnswerSecondBranch(double x)
        {
            double first = Math.Log(x) * GetLog(x, 5);
            double second = ((Math.Pow(GetLog(x,5),3) * GetLog(x, 10)) + GetLog(x,3)) / Math.Log(x);
            return first + second;
        }
        /// <summary>
        /// Функция нахождения косинуса
        /// </summary>
        /// <param name="x">Число</param>
        /// <returns>Косинус</returns>
        private static double GetCos(double x)
        {
            return Math.Sqrt(1 - Math.Pow(Math.Sin(x),2));
        }
        /// <summary>
        /// Функция нахождения котангенса
        /// </summary>
        /// <param name="x">Число</param>
        /// <returns>Котангенс</returns>
        private static double GetCtg(double x)
        {
            return GetCos(x) / Math.Sin(x);
        }
        /// <summary>
        /// Функция нахождения тангенса
        /// </summary>
        /// <param name="x">Число</param>
        /// <returns>Тангненс</returns>
        private static double GetTg(double x)
        {
            return Math.Sin(x) / GetCos(x);
        }
        /// <summary>
        /// Функция нахождения логарифма по основанию
        /// </summary>
        /// <param name="x">Число</param>
        /// <param name="basis">Основание логарифма</param>
        /// <returns>Логарифм</returns>
        private static double GetLog(double x, double basis)
        {
            return Math.Log(x) / Math.Log(basis);
        }
    }
}
